<template>
  <tabbar :titles="['全部', '进行中', '已结束']" @change='args => {}' />
  <order-item v-for='(item,index) in orderList' :key='index' :item='item' />
</template>

<script lang='ts' setup>

import { getOrderList } from '@/api/goods';
import OrderItem from '@/pages/mine/subs/order/components/order-item.vue';

const orderList = ref([1, 2, 4, 5]);
onLoad((e) => {
  fetchData();
});

const fetchData = async () => {
  const { rows } = await getOrderList({ pageNum: 1, pageSize: 10, obj: { payStatus: 0 } });
  orderList.value = rows;
};
</script>

<style lang='scss' scoped>

</style>
